Tracker une consultation de profil
curl --request POST \
--url https://client-p.pylote.io/partners/events \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"recruiterEmail": "marie.gilles@lutessa.com",
"freelanceId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
'import requests
url = "https://client-p.pylote.io/partners/events"
payload = {
"recruiterEmail": "marie.gilles@lutessa.com",
"freelanceId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recruiterEmail: 'marie.gilles@lutessa.com',
freelanceId: 'a1b2c3d4-e5f6-7890-abcd-ef1234567890'
})
};
fetch('https://client-p.pylote.io/partners/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok"
}Partners
Tracker une consultation de profil
Obligatoire pour les partenaires.
Chaque fois qu’un recruteur consulte un profil freelance via votre plateforme, vous devez envoyer un event à cette route. Cela permet au freelance de voir qui consulte son profil dans son dashboard Pylote.
Le freelance voit : ” via ” dans ses statistiques de visibilité.
POST
/
partners
/
events
Tracker une consultation de profil
Autorisations
Cle API fournie par Pylote. Inclure dans le header x-api-key de chaque requete.
Exemple : x-api-key: votre-cle-api
Corps
application/json
Email réel du recruteur (doit être dans la whitelist)
Exemple:
"marie.gilles@lutessa.com"
UUID du freelance = champ meta.id du JSON Resume retourné par GET /freelances.
Exemple:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Type d'interaction :
profile_view: le recruteur a ouvert la fiche du freelanceclick_cv: le recruteur a cliqué sur le lien CVclick_linkedin: le recruteur a cliqué sur le lien LinkedInclick_phone: le recruteur a cliqué sur le téléphoneclick_email: le recruteur a cliqué sur l'emailadd_favorite: le recruteur a ajouté le freelance à ses favoris
Options disponibles:
profile_view, click_cv, click_linkedin, click_phone, click_email, add_favorite Réponse
Event enregistré
Exemple:
"ok"